<?php

/**
 * @file
 * nodejs_livetracking_presence_block theme implementation 
 *
 * BE CAREFULL some class attribute are used by JAVASCRIPT.
 *
 * @param object $list
 *  Tracking list.
 *
 * @param number $count
 *  # of connected tracking device.
 */
?>
<div id="online_device_div">
  <div id="some_device_connected" class="
    <?php if ($count == 0): print ('nodejs_livetracking_hidden');?> <?php endif; ?> 
  ">
    <?php print format_plural(count($list), 'There is <span class="ndevice">1</span> tracking device connected to Nodejs', 'There are <span class="ndevice">@count</span> tracking devices connected to Nodejs :'); ?>
  </div>
  <div id='no_device_connected' class="
    <?php if ($count != 0): print ('nodejs_livetracking_hidden'); ?> <?php endif; ?>
  ">
    <?php print t("There is no tracking device currently connected to Nodejs."); ?>
  </div>
  <ul id="online_device_ul">
  <?php foreach($list as $item): ?>
    <?php if ($item->uid != 0): ?>
    <li id="tracking_<?php print ($item->uid); ?>">
      <?php print l($item->name, 'user/' . $item->uid . '/tracking', array('attributes' => array('class' => array('online_device_li'), 'id' => array('tracking_' . $item->uid)))); ?>
    </li>
    <?php else: ?>
      <li id="tracking_<?php print ($item->uid); ?>" class="anonymous">
      <?php print l(t('Anonymous') . " " . strtok($item->uuid, '-'), 'anonymous/' . strtok($item->uuid, '-') . '/tracking', array('attributes' => array('class' => array('online_device_li'), 'id' => array('tracking_' . strtok($item->uuid, '-'))))); ?>
    </li>
    <?php endif; ?>
  <?php endforeach; ?>
  </ul>
</div>
